> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Annotation Queue

> Get an annotation queue by ID with templates and counts.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/annotation_queues/{queue_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/annotation_queues/{queue_id}:
    get:
      tags:
        - annotation_queue
      summary: Get Annotation Queue
      description: Get an annotation queue by ID with templates and counts.
      operationId: get_annotation_queue_v2_annotation_queues__queue_id__get
      parameters:
        - name: queue_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Queue Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueueResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
components:
  schemas:
    AnnotationQueueResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
          title: Permissions
          default: []
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by_user:
          anyOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
        num_log_records:
          type: integer
          title: Num Log Records
          default: 0
        num_annotators:
          type: integer
          title: Num Annotators
          default: 0
        num_users:
          type: integer
          title: Num Users
          default: 0
        num_templates:
          type: integer
          title: Num Templates
          default: 0
        num_logs_annotated:
          anyOf:
            - additionalProperties:
                type: integer
              propertyNames:
                format: uuid4
              type: object
            - type: 'null'
          title: Num Logs Annotated
        progress:
          anyOf:
            - additionalProperties:
                type: number
              propertyNames:
                format: uuid4
              type: object
            - type: 'null'
          title: Progress
        overall_progress:
          anyOf:
            - type: number
            - type: 'null'
          title: Overall Progress
        templates:
          items:
            $ref: '#/components/schemas/AnnotationTemplateDB'
          type: array
          title: Templates
      type: object
      required:
        - id
        - name
        - description
        - created_at
        - updated_at
        - created_by_user
      title: AnnotationQueueResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Permission:
      properties:
        action:
          anyOf:
            - $ref: '#/components/schemas/UserAction'
            - $ref: '#/components/schemas/GroupAction'
            - $ref: '#/components/schemas/GroupMemberAction'
            - $ref: '#/components/schemas/ProjectAction'
            - $ref: '#/components/schemas/ScorerAction'
            - $ref: '#/components/schemas/RegisteredScorerAction'
            - $ref: '#/components/schemas/ApiKeyAction'
            - $ref: '#/components/schemas/GeneratedScorerAction'
            - $ref: '#/components/schemas/FineTunedScorerAction'
            - $ref: '#/components/schemas/DatasetAction'
            - $ref: '#/components/schemas/IntegrationAction'
            - $ref: '#/components/schemas/OrganizationAction'
            - $ref: '#/components/schemas/AnnotationQueueAction'
            - $ref: '#/components/schemas/ControlResourceAction'
          title: Action
        allowed:
          type: boolean
          title: Allowed
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - action
        - allowed
      title: Permission
    UserInfo:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
      type: object
      required:
        - id
        - email
      title: UserInfo
      description: A user's basic information, used for display purposes.
    AnnotationTemplateDB:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        include_explanation:
          type: boolean
          title: Include Explanation
        criteria:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Criteria
        constraints:
          oneOf:
            - $ref: >-
                #/components/schemas/api__schemas__annotation__LikeDislikeConstraints
            - $ref: '#/components/schemas/api__schemas__annotation__StarConstraints'
            - $ref: '#/components/schemas/api__schemas__annotation__ScoreConstraints'
            - $ref: '#/components/schemas/api__schemas__annotation__TagsConstraints'
            - $ref: '#/components/schemas/api__schemas__annotation__TextConstraints'
            - $ref: '#/components/schemas/api__schemas__annotation__ChoiceConstraints'
            - $ref: '#/components/schemas/TreeChoiceDBConstraints'
          title: Constraints
          discriminator:
            propertyName: annotation_type
            mapping:
              choice:
                $ref: >-
                  #/components/schemas/api__schemas__annotation__ChoiceConstraints
              like_dislike:
                $ref: >-
                  #/components/schemas/api__schemas__annotation__LikeDislikeConstraints
              score:
                $ref: >-
                  #/components/schemas/api__schemas__annotation__ScoreConstraints
              star:
                $ref: '#/components/schemas/api__schemas__annotation__StarConstraints'
              tags:
                $ref: '#/components/schemas/api__schemas__annotation__TagsConstraints'
              text:
                $ref: '#/components/schemas/api__schemas__annotation__TextConstraints'
              tree_choice:
                $ref: '#/components/schemas/TreeChoiceDBConstraints'
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
        position:
          type: integer
          title: Position
        usage_count:
          type: integer
          title: Usage Count
          description: Number of annotation ratings using the template.
      type: object
      required:
        - name
        - include_explanation
        - constraints
        - id
        - created_at
        - created_by
        - position
        - usage_count
      title: AnnotationTemplateDB
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserAction:
      type: string
      enum:
        - update
        - delete
        - read_api_keys
        - change_role_to_admin
        - change_role_to_manager
        - change_role_to_user
        - change_role_to_read_only
      title: UserAction
    GroupAction:
      type: string
      enum:
        - update
        - list_members
        - join
        - request_to_join
      title: GroupAction
    GroupMemberAction:
      type: string
      enum:
        - update_role
        - delete
      title: GroupMemberAction
    ProjectAction:
      type: string
      enum:
        - update
        - delete
        - rename
        - share
        - create_run
        - delete_run
        - rename_run
        - move_run
        - export_data
        - configure_human_feedback
        - record_human_feedback
        - log_data
        - toggle_metric
        - edit_alert
        - create_stage
        - edit_stage
        - configure_crown_logic
        - delete_data
        - set_metric
        - edit_run_tags
        - dismiss_alert
        - edit_slice
        - edit_edit
        - update_control_bindings
        - use_control_runtime
      title: ProjectAction
    ScorerAction:
      type: string
      enum:
        - update
        - delete
        - share
        - export
        - autotune_apply
      title: ScorerAction
    RegisteredScorerAction:
      type: string
      enum:
        - update
        - delete
      title: RegisteredScorerAction
    ApiKeyAction:
      type: string
      enum:
        - update
        - delete
      title: ApiKeyAction
    GeneratedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: GeneratedScorerAction
    FineTunedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: FineTunedScorerAction
    DatasetAction:
      type: string
      enum:
        - update
        - delete
        - share
        - export
        - rename
      title: DatasetAction
    IntegrationAction:
      type: string
      enum:
        - update
        - delete
        - share
        - read_secrets
      title: IntegrationAction
    OrganizationAction:
      type: string
      enum:
        - rename
        - delete
        - delete_log_data
        - read_settings
        - update_settings
        - read_cost_settings
      title: OrganizationAction
    AnnotationQueueAction:
      type: string
      enum:
        - update
        - delete
        - share
        - record_annotation
      title: AnnotationQueueAction
    ControlResourceAction:
      type: string
      enum:
        - create
        - read
        - update
        - delete
      title: ControlResourceAction
      description: Actions on Agent Control's org-scoped ``control`` resource.
    api__schemas__annotation__LikeDislikeConstraints:
      properties:
        annotation_type:
          type: string
          const: like_dislike
          title: Annotation Type
      type: object
      required:
        - annotation_type
      title: LikeDislikeConstraints
    api__schemas__annotation__StarConstraints:
      properties:
        annotation_type:
          type: string
          const: star
          title: Annotation Type
      type: object
      required:
        - annotation_type
      title: StarConstraints
    api__schemas__annotation__ScoreConstraints:
      properties:
        annotation_type:
          type: string
          const: score
          title: Annotation Type
        min:
          type: integer
          minimum: 0
          title: Min
        max:
          type: integer
          minimum: 0
          title: Max
      type: object
      required:
        - annotation_type
        - min
        - max
      title: ScoreConstraints
    api__schemas__annotation__TagsConstraints:
      properties:
        annotation_type:
          type: string
          const: tags
          title: Annotation Type
        tags:
          items:
            type: string
            maxLength: 255
            minLength: 1
          type: array
          title: Tags
        allow_other:
          type: boolean
          title: Allow Other
          default: false
      type: object
      required:
        - annotation_type
        - tags
      title: TagsConstraints
    api__schemas__annotation__TextConstraints:
      properties:
        annotation_type:
          type: string
          const: text
          title: Annotation Type
      type: object
      required:
        - annotation_type
      title: TextConstraints
    api__schemas__annotation__ChoiceConstraints:
      properties:
        annotation_type:
          type: string
          const: choice
          title: Annotation Type
        choices:
          items:
            type: string
            maxLength: 255
            minLength: 1
          type: array
          title: Choices
        allow_other:
          type: boolean
          title: Allow Other
          default: false
      type: object
      required:
        - annotation_type
        - choices
      title: ChoiceConstraints
    TreeChoiceDBConstraints:
      properties:
        annotation_type:
          type: string
          const: tree_choice
          title: Annotation Type
        choices_tree:
          items:
            $ref: >-
              #/components/schemas/api__schemas__annotation__TreeChoiceNode-Output
          type: array
          maxItems: 50
          title: Choices Tree
        choices_tree_yaml:
          type: string
          maxLength: 10000
          minLength: 1
          title: Choices Tree Yaml
      type: object
      required:
        - annotation_type
        - choices_tree
        - choices_tree_yaml
      title: TreeChoiceDBConstraints
    api__schemas__annotation__TreeChoiceNode-Output:
      properties:
        label:
          type: string
          maxLength: 255
          minLength: 1
          title: Label
        id:
          type: string
          maxLength: 255
          minLength: 1
          title: Id
        children:
          items:
            $ref: >-
              #/components/schemas/api__schemas__annotation__TreeChoiceNode-Output
          type: array
          maxItems: 50
          title: Children
      type: object
      required:
        - label
        - id
      title: TreeChoiceNode
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login

````